#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 2
%define framework kdelibs4support

Summary:        KDE Frameworks 5 Tier 4 module with porting aid from KDELibs 4
Name:           %framework
Version: 5.32.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/framework/%{framework}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires:  pkgconfig(Qt5Core)

BuildRequires:  kf5-macros
BuildRequires:  extra-cmake-modules

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Designer)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5X11Extras)

BuildRequires:  pkgconfig(sm)

BuildRequires:  karchive-devel >= %version
BuildRequires:  kcompletion-devel >= %version
BuildRequires:  kconfig-devel >= %version
BuildRequires:  kconfigwidgets-devel >= %version
BuildRequires:  kcrash-devel >= %version
BuildRequires:  kdesignerplugin-devel >= %version
BuildRequires:  kglobalaccel-devel >= %version
BuildRequires:  kdoctools-devel >= %version
BuildRequires:  kguiaddons-devel >= %version
BuildRequires:  ki18n-devel >= %version
BuildRequires:  kiconthemes-devel >= %version
BuildRequires:  kio-devel >= %version
BuildRequires:  knotifications-devel >= %version
BuildRequires:  kparts-devel >= %version
BuildRequires:  kservice-devel >= %version
BuildRequires:  ktextwidgets-devel >= %version
BuildRequires:  kunitconversion-devel >= %version
BuildRequires:  kwidgetsaddons-devel >= %version
BuildRequires:  kwindowsystem-devel >= %version
BuildRequires:  kded-devel >= %version

BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl
BuildRequires:  perl-URI

Conflicts:      kdebase4-runtime-handbook < 1:15.07.90

%description
KDE Frameworks 5 Tier 4 module with porting aid from KDELibs 4

%files -f %name.lang
%_sysconfdir/xdg/colors/*
%_sysconfdir/xdg/kdebug.areas
%exclude %_sysconfdir/xdg/kdebugrc
%_sysconfdir/xdg/ksslcalist
%_kf5_bindir/kdebugdialog5
%_kf5_bindir/kf5-config
%_kf5_datadir/kf5/locale/*
%_datadir/locale/kf5_all_languages
%_kf5_datadir/kf5/widgets/*
%_kf5_services/qimageioplugins/*.desktop
%_kf5_services/kcm_ssl.desktop
%_kf5_services/metainfo.protocol
%_qt5_plugindir/designer/kf5deprecatedwidgets.so
%_qt5_plugindir/kcm_ssl.so
%_kf5_plugindir/kded/networkstatus.so
%_kf5_plugindir/kio/metainfo.so
%_kf5_libexecdir/fileshareset
%_kf5_datadir/kf5/kdoctools/customization
%_kf5_datadir/kf5/kssl/ca-bundle.crt
%_kf5_servicetypes/*.desktop
%_mandir/man1/kf5-config.1.xz
%_mandir/*/man1/kf5-config.1.*

#--------------------------------------------------------------------

%define kf5kdelibs4support_major 5
%define libkf5kdelibs4support %mklibname kf5kdelibs4support %{kf5kdelibs4support_major}

%package -n %libkf5kdelibs4support
Summary:      KDE Frameworks 5 Tier 4 module with porting aid from KDELibs 4
Group:        System/Libraries

%description -n %libkf5kdelibs4support
KDE Frameworks 5 Tier 4 module with porting aid from KDELibs 4

%files -n %libkf5kdelibs4support
%_kf5_libdir/libKF5KDELibs4Support.so.%{kf5kdelibs4support_major}*

#--------------------------------------------------------------------

%define kf5kdelibs4support_devel %mklibname kf5kdelibs4support -d

%package -n %kf5kdelibs4support_devel

Summary:        Devel stuff for %framework
Group:          Development/KDE and Qt
Requires:       %name = %version-%release
Requires:       %libkf5kdelibs4support = %version-%release
Provides:       %framework-devel = %{version}-%{release}

Requires:       kauth-devel = %version
Requires:       kconfigwidgets-devel = %version
Requires:       kcoreaddons-devel = %version
Requires:       kcrash-devel = %version
Requires:       kdesignerplugin-devel = %version
Requires:       kdoctools-devel = %version
Requires:       kemoticons-devel = %version
Requires:       kguiaddons-devel = %version
Requires:       kiconthemes-devel = %version
Requires:       kitemmodels-devel = %version
Requires:       kinit-devel = %version
Requires:       knotifications-devel = %version
Requires:       kparts-devel = %version
Requires:       ktextwidgets-devel = %version
Requires:       kunitconversion-devel = %version
Requires:       kwindowsystem-devel = %version

Requires:       pkgconfig(Qt5DBus)
Requires:       pkgconfig(Qt5Xml)
Requires:       pkgconfig(Qt5PrintSupport)

%description -n %kf5kdelibs4support_devel
This package contains header files needed if you wish to build applications
based on %framework.

%files -n %kf5kdelibs4support_devel
%_libdir/libKF5KDELibs4Support.so
%_kf5_includedir/KDELibs4Support
%_kf5_includedir/kdelibs4support_version.h
%_libdir/cmake/KF5KDELibs4Support
%_libdir/cmake/KF5KDE4Support
%_libdir/cmake/KDELibs4
%_datadir/dbus-1/interfaces/*.xml

#--------------------------------------------------------------------

%package handbook
Summary: %{name} Handbook
BuildArch: noarch

# duplicated files with KDE 4
Conflicts:      kdebase4-workspace-handbook < 2:4.11.21

%description handbook
This package provides %{name} Handbook.

%files handbook
%doc %_docdir/HTML/*/kdebugdialog5
%doc %_docdir/HTML/*/kcontrol5/kcm_ssl

#--------------------------------------------------------------------

%prep
%setup -q -n %framework-%version
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%make

%install
%makeinstall_std -C build
%find_lang %name



%changelog
* Tue Mar 07 2017 neoclust <neoclust> 5.32.0-2.mga6
+ Revision: 1089546
- Rebuild for armv7

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088958
- New version 5.32.0

* Sun Jan 15 2017 neoclust <neoclust> 5.29.0-2.mga6
+ Revision: 1081944
- Do not package kdebugrc

* Wed Dec 14 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1075011
- New version 5.29.0

* Tue Dec 06 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072720
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058349
- New version 5.27.0

* Sun Sep 11 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1051400
- New version 5.26.0

* Fri Aug 26 2016 neoclust <neoclust> 5.25.0-2.mga6
+ Revision: 1049075
- Rebuild to make available on armv5

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045104
- New version 5.25.0

* Wed Jul 13 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041710
- New version 5.24.0

* Sun Jun 19 2016 tmb <tmb> 5.23.0-1.mga6
+ Revision: 1036250
- add missing tarball

  + neoclust <neoclust>
    - New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014334
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999599
- New version 5.21.0
- New version 5.20.0
- New version 5.5.95

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986868
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942243
- New version 5.19.0

* Tue Jan 12 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 922103
- New version 5.18.0
- New version 5.18.0

* Tue Dec 15 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 910717
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900628
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899513
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898961
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888201
- New version 5.15.0

* Sun Sep 20 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881838
- New version 5.14.0

* Mon Aug 17 2015 neoclust <neoclust> 5.13.0-2.mga6
+ Revision: 865366
- Add conflict against kde4 runtime

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862986
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862750
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Wed Jul 15 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 854408
- New version 5.12..0
- New version 5.12.0

* Wed Jul 01 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 849275
- New version 5.11.0

* Thu Dec 18 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 804030
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 749540
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 680997
- Mageia 5 Mass Rebuild

* Sun Aug 10 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 661594
- New version 5.1.0
- New version 5.1.0

* Sun Jul 27 2014 neoclust <neoclust> 5.0.0-6.mga5
+ Revision: 657595
- Fix compatibility with new cmake regarding gettext

* Mon Jul 21 2014 neoclust <neoclust> 5.0.0-5.mga5
+ Revision: 655235
- Rebuild against new kf5 macros

* Thu Jul 17 2014 neoclust <neoclust> 5.0.0-4.mga5
+ Revision: 653354
- Fix again requires

* Thu Jul 17 2014 neoclust <neoclust> 5.0.0-3.mga5
+ Revision: 653350
- Fix Requires

* Wed Jul 16 2014 neoclust <neoclust> 5.0.0-2.mga5
+ Revision: 653340
- Adapt requires in the devel package based on cmake files

* Tue Jul 15 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 653158
- imported package kdelibs4support

